Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.core.aspects.portlet
Class CorePortletInterceptor

    java.lang.Object
      org.jboss.portal.portlet.PortletInvokerInterceptor
          org.jboss.portal.core.aspects.portlet.CorePortletInterceptor

All Implemented Interfaces:
  org.jboss.portal.portlet.PortletInvoker

Direct Known Subclasses:
  AjaxInterceptor, BackwardCompatibilityInterceptor, HeaderInterceptor, TransactionInterceptor

    public abstract class CorePortletInterceptor

extends org.jboss.portal.portlet.PortletInvokerInterceptor

Version:
  $Revision$
Author:
  Chris Laprun

Constructor Summary
`CorePortletInterceptor()`

Method Summary
`protected org.jboss.portal.portlet.info.PortletInfo` | `getPortletInfo(org.jboss.portal.portlet.invocation.PortletInvocation invocation)` Retrieve the CorePortetInfo, if any, associated with the Portlet being invoked.
`protected org.jboss.portal.portlet.invocation.response.FragmentResponse` | `updateFragmentWithPropertiesIfNeeded(org.jboss.portal.portlet.invocation.response.FragmentResponse fragment)` Create a new FragmentResponse if the current one doesn't have any properties.

Methods inherited from class org.jboss.portal.portlet.PortletInvokerInterceptor
`createClone, destroyClones, getNext, getPortlet, getPortlets, getProperties, getProperties, invoke, setNext, setProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CorePortletInterceptor

    public CorePortletInterceptor()

Method Detail

### getPortletInfo

    protected org.jboss.portal.portlet.info.PortletInfo getPortletInfo(org.jboss.portal.portlet.invocation.PortletInvocation invocation)

  Retrieve the CorePortetInfo, if any, associated with the Portlet being invoked.

  Parameters:
    `invocation` - the current PortletInvocation
  Returns:
    the CorePortetInfo associated with the Portlet being invoked or `null` if no such information is present

### updateFragmentWithPropertiesIfNeeded

    protected org.jboss.portal.portlet.invocation.response.FragmentResponse updateFragmentWithPropertiesIfNeeded(org.jboss.portal.portlet.invocation.response.FragmentResponse fragment)

  Create a new FragmentResponse if the current one doesn't have any properties.

  Parameters:
    `fragment` - the current FragmentResponse
  Returns:
    the passed FragmentResponse or a new one with properties

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD